import React from "react";
import { NavBar } from "antd-mobile";
import { useNavigate } from "react-router-dom";
import PropTypes from 'prop-types'
import styles from './index.module.css'
export default function NavHeader({children,back}){
    const defaultHandler =()=>navigate(-1);
    const navigate = useNavigate();
    return (<NavBar className={styles.NavBar} back='返回' onBack={back||defaultHandler} >{children}</NavBar>)
}
// 添加校验
NavHeader.propTypes={
    children:PropTypes.string.isRequired,
    back:PropTypes.func
}
// export default withRouter(NavHeader)